typedef struct OH_Http_Interceptor_Response {
Http_Buffer body;
Http_ResponseCode responseCode;
OH_Http_Interceptor_Headers *headers;
Http_PerformanceTiming performanceTiming;
} OH_Http_Interceptor_Response; Defines a struct for the HTTP response data packet of the interceptor.
Since: 24
Related module: netstack
Header file: http_interceptor_type.h
| Name | Description |
|---|---|
| Http_Buffer body | Response body. For details, see Http_Buffer. |
| Http_ResponseCode responseCode | Response status code. For details, see Http_ResponseCode. |
| OH_Http_Interceptor_Headers *headers | HTTP response header. For details, see OH_Http_Interceptor_Headers. |
| Http_PerformanceTiming performanceTiming | Response performance information. For details, see Http_PerformanceTiming. |